This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### IntList
Examples |
    IntList inventory;

    void setup() {
      size(200, 200);
      inventory = new IntList();
      inventory.append(84);
      inventory.append(15);
      inventory.append(102);
      println(inventory);
      noLoop();
      fill(0);
      textAlign(CENTER);
    }

    void draw() {
      int nums = inventory.get(2);
      text(nums, width/2, height/2);
    }
Description | Helper class for a list of ints. Lists are designed to have some of the features of ArrayLists, but to maintain the simplicity and efficiency of working with arrays. Functions like sort() and shuffle() always act on the list itself. To get a sorted copy, use list.copy().sort().
Methods |
size() | Get the length of the list
clear() | Remove all entries from the list
get() | Get an entry at a particular index
set() | Set the entry at a particular index
remove() | Remove an element from the specified index
append() | Add a new entry to the list
hasValue() | Check if a number is a part of the list
increment() | Add one to a value
add() | Add to a value
sub() | Subtract from a value
mult() | Multiply a value
div() | Divide a value
min() | Return the smallest value
max() | Return the largest value
sort() | Sorts the array, lowest to highest
sortReverse() | Reverse sort, orders values from highest to lowest
reverse() | Reverse sort, orders values by first digit
shuffle() | Randomize the order of the list elements
array() | Create a new array with a copy of all the values
Constructor |
    IntList()
Related | FloatList StringList

Updated on October 26, 2013 08:58:33pm PDT